Package ru.bitel.bgbilling.kernel.event.events

# Class ActionEvent

java.lang.Object
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.event.common.QueueEvent
ru.bitel.bgbilling.kernel.event.common.LocalEvent
ru.bitel.bgbilling.kernel.event.events.ActionEvent

All Implemented Interfaces:
  `java.io.Serializable`, `ErrorReturnableEvent`

Direct Known Subclasses:
  `ActionAfterEvent`, `ActionBeforeEvent`

    public abstract class ActionEvent
    extends ru.bitel.bgbilling.kernel.event.common.LocalEvent

See Also:
  Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Modifier | Constructor | Description
  --- | --- | ---
  `protected` | `ActionEvent()` |
  `` | `ActionEvent​(java.lang.String module, java.lang.String action, int contractId, int userId)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `getAction()` |
  `java.lang.String` | `getModule()` |
  `void` | `setAction​(java.lang.String action)` |
  `void` | `setModule​(java.lang.String module)` |

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.LocalEvent

  `getError, setError`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, toString, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ActionEvent

    protected ActionEvent()

  - ### ActionEvent

    public ActionEvent​(java.lang.String module, java.lang.String action, int contractId, int userId)
    Parameters:
      `module` -
      `action` -
      `contractId` -
      `userId` -

- ## Method Details

  - ### getModule

    public java.lang.String getModule()
    Returns:

  - ### setModule

    public void setModule​(java.lang.String module)
    Parameters:
      `module` -

  - ### getAction

    public java.lang.String getAction()
    Returns:

  - ### setAction

    public void setAction​(java.lang.String action)
    Parameters:
      `action` -